{% extends "base/base.html" %}
{% block content %}
    <section>
        <h2>Domů</h2>
    <button id="getJokeBtn" class="btn btn-info">Dej mi vtip</button>

        <div class="d-flex">
            {% for projekt in projects %}
                {% include "projekt_card_boostrap.html" %}
            {% endfor %}
        </div>
        <script>
        $(document).ready(function(){
            $(".btn-danger").click(function(){
                $(this).parent().parent().hide();
            });
            $("#getJokeBtn").click(function(){
                $.ajax({
                    url: "https://official-joke-api.appspot.com/random_joke",
                    success: function(result){
                        $("#getJokeBtn").after("<p>" + 
                                                result.setup +
                                                "<br>" +
                                                result.punchline + 
                                                "</p>");
                    },
                    error: function(){
                        alert("Něco se pokazilo.");
                    }
                });
            });
        });
    </script>
    </section>
{% endblock %}

